module Patriarch
  module Services
    module <%= class_name %>
      autoload :AfterManagerService,    'patriarch/services/<%= class_name.underscore %>/after_manager_service.rb'
      autoload :AfterService,           'patriarch/services/<%= class_name.underscore %>/after_service.rb'
      autoload :AuthorizationService,   'patriarch/services/<%= class_name.underscore %>/authorization_service.rb'
      autoload :BeforeManagerService,   'patriarch/services/<%= class_name.underscore %>/before_manager_service.rb'
      autoload :BeforeService,          'patriarch/services/<%= class_name.underscore %>/before_service.rb'      
      autoload :ManagerService,         'patriarch/services/<%= class_name.underscore %>/manager_service.rb'
      autoload :Service,                'patriarch/services/<%= class_name.underscore %>/service.rb'     
    end

    module <%= undo_class_name %>
      autoload :AfterManagerService,    'patriarch/services/<%= undo_class_name.underscore %>/after_manager_service.rb'
      autoload :AfterService,           'patriarch/services/<%= undo_class_name.underscore %>/after_service.rb'
      autoload :AuthorizationService,   'patriarch/services/<%= undo_class_name.underscore %>/authorization_service.rb'
      autoload :BeforeManagerService,   'patriarch/services/<%= undo_class_name.underscore %>/before_manager_service.rb'
      autoload :BeforeService,          'patriarch/services/<%= undo_class_name.underscore %>/before_service.rb'      
      autoload :ManagerService,         'patriarch/services/<%= undo_class_name.underscore %>/manager_service.rb'
      autoload :Service,                'patriarch/services/<%= undo_class_name.underscore %>/service.rb'          
    end
  end
end

