require 'singleton'

class PatriarchTransactionStepInstanciationException < Exception
end

class Patriarch::TransactionServices::TransactionManagerService < Patriarch::ManagerService
  # Fill with logic to manage ressources with transactions ...
  # Can registers transactions and so on ...
  
  attr_accessor :count

  def new_transaction(type)
    id = Time.now.to_f
    incr_count
    Patriarch::Transaction.new(type,id)
  end

  def incr_count
    @count ||= 0
    @count += 1
  end
end
